before_script:
  - chmod +x mvnw
image: openjdk:8-jdk-slim

stages:
- test
- build


build:
  stage: build
  script:
    - ./mvnw --batch-mode install -DskipTests
 
unit:
  stage: test
  script: 
    - ./mvnw --batch-mode test

e2e tests:
  stage: test
  script:
    - ./mvnw --batch-mode test -Dtests.tags="e2e"
